#ifndef IMAGEUTILS_H
#define IMAGEUTILS_H

#include <G3D/G3DAll.h>
#include <GLG3D/GLG3D.h>

/**
 1D Gaussian blur in the given direction.
 */
Image3Ref gaussianBlur(const Image3Ref& source, const Vector2int16& direction);

/** 
 2D Gaussian blur.
 */
Image3Ref gaussianBlur(const Image3Ref& source);


/**
 Sub-samples by a factor of 2 in each direction.
 */
Image3Ref subsample(const Image3Ref& source);


/**
 Gaussian blurs and then subsamples by a factor of 2.
 */
Image3Ref shrink(const Image3Ref& source);

#endif


